<div>
    <h2 id="page-heading">
        <span jhiTranslate="winpharmApp.vente.home.title">Ventes</span>
    </h2>
    <p>
        <p-calendar placeholder="Chercher par date de vente" [dataType]="'string'" [(ngModel)]="dateValue" showButtonBar="true" [showIcon]="true" (onClearClick)="search()" (onSelect)="search()"></p-calendar>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-vente" [routerLink]="['/vente/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="winpharmApp.vente.home.createLabel">
            Create a new Vente
            </span>
        </button>
    </p>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="ventes?.length === 0">
        <span jhiTranslate="winpharmApp.vente.home.notFound">No ventes found</span>
    </div>
    <div class="table-responsive" *ngIf="ventes?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="dateVente"><span jhiTranslate="winpharmApp.vente.dateVente">Date Vente</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="totalHT"><span jhiTranslate="winpharmApp.vente.totalHT">Total HT</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="totalTTC"><span jhiTranslate="winpharmApp.vente.totalTTC">Total TTC</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let vente of ventes ;trackBy: trackId">
                <td><a [routerLink]="['/vente', vente.id, 'view' ]">{{vente.id}}</a></td>
                <td>{{vente.dateVente | date:'mediumDate'}}</td>
                <td>{{vente.totalHT}}</td>
                <td>{{vente.totalTTC}}</td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/vente', vente.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/vente', vente.id, 'edit']"
                                class="btn btn-primary btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/vente', { outlets: { popup: vente.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm"
                                *jhiHasAnyAuthority="'ROLE_ADMIN'">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div [hidden]="ventes?.length === 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
